module Recurso
  module Queries
    Single = Struct.new(:identity, :resource, :action) do
      def permission?
        @permission ||= identity.permissions.exists?(
          resource: resource.relevant_resources,
          level:    resource.relevant_levels_for(action)
        )
      end
    end
  end
end
